
textures/ut_cgardens/glass
{
	qer_editorimage textures/ut_cgardens/glassfx.tga
	surfaceparm nolightmap
	surfaceparm trans	
	cull back
	qer_trans 	0.5

	{
		map textures/ut_cgardens/glassfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut_cgardens/black_shine
{

	{
		map textures/ut_cgardens/shine_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .5 .5
	}
	{
		map textures/ut_cgardens/black_shine.tga
		blendFunc GL_ZERO GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut_cgardens/vines
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 	0.5

	{
		map textures/ut_cgardens/vines.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_cgardens/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut_cgardens/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ut_cgardens/water_flow
{
	qer_editorimage textures/ut_cgardens/water_move1.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5

	{
		map textures/ut_cgardens/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll 0 .125
	}
	{
		map textures/ut_cgardens/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll 0 .1
	}
	{
		map textures/ut_cgardens/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll 0 .075
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/ut_cgardens/water_fall
{
	qer_editorimage textures/ut_cgardens/water_move1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .5
	tessSize 8
	deformVertexes bulge 36 4 .5 
	cull none

	{
		map textures/ut_cgardens/water_move3.tga
		tcMod Scroll 0 -.75
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_cgardens/water_move2.tga
		tcMod Scroll 0 -.5
		tcMod turb 0 .05 0 -.1
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut_cgardens/koi
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm alphashadow
	tessSize 16
	deformVertexes wave 6 sin .5 1.5 0 .75
	nopicmip
	qer_editorimage textures/ut_cgardens/goldkoi.tga

	{
		clampmap textures/ut_cgardens/goldkoi.tga
		tcMod rotate 15 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		clampmap textures/ut_cgardens/greenkoi.tga
		tcMod rotate -25 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		clampmap textures/ut_cgardens/blkredkoi.tga
		tcMod rotate 20 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_cgardens/fountain
{
	qer_editorimage textures/wetwired/fs_rain2.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none

	{
		map textures/ut_cgardens/rain2.tga
		tcMod Scroll .01 -1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_cgardens/rain.tga
		tcMod Scroll .15 -.75
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_cgardens/fountain_flow
{
	qer_editorimage textures/ut_cgardens/water_move1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none

	{
		map textures/ut_cgardens/water_move1.tga
		tcMod Scroll .25 -.025
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_cgardens/water_move2.tga
		tcMod Scroll .35 .01
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_cgardens/water_move3.tga
		tcMod Scroll .5 .05
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/ut_cgardens/fountain_water
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5

	{
		map textures/ut_cgardens/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/ut_cgardens/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/ut_cgardens/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/ut_cgardens/light1blue_5000
{
	qer_editorimage textures/ut_cgardens/light1blue.tga
	q3map_lightimage textures/ut_cgardens/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_cgardens/light1blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ut_cgardens/light1blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_cgardens/light1red_5000
{
	qer_editorimage textures/ut_cgardens/light1red.tga
	q3map_lightimage textures/ut_cgardens/light1red.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_cgardens/light1red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ut_cgardens/light1red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_cgardens/patch10_pj_lite2
{
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_cgardens/patch10_pj_lite2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_cgardens/patch10_pj_lite2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_cgardens/xceil1_39_10k
{
	qer_editorimage textures/ut_cgardens/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_cgardens/ceil1_39.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_cgardens/ceil1_39.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_cgardens/xceil1_39_5k
{
	qer_editorimage textures/ut_cgardens/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_cgardens/ceil1_39.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_cgardens/ceil1_39.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/tree2/branch2
{
  surfaceparm nolightmap
  surfaceparm trans	
  surfaceparm nomarks	
  cull none
  sort 10
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR        
	}
}
